<?php

//defined('ABSPATH') || exit;
/**
 *
 * @class FSSC_Action
 */

Class FSSC_Action{
	function fssc_kya_app_budhu_hai(){
		$license_data = get_option('_fssc_licence_settings', '');
		if(!empty($license_data)){
			if($license_data['is_license_verify'] == TRUE){
				$result = FALSE;
			}else{
				$result = TRUE;
			}
		}else{
			$result = TRUE;
		}
		return $result;
	}

	public static function fssc_ck($check_val=''){
		$check_val = '';
		$url 	   = get_option('_fssc_server_url', '');
		if(!empty($url)){
			$license_data = get_option('_fssc_licence_settings', '');
			if(!empty($license_data)){
				if((new self)->fssc_kya_app_budhu_hai()){ 
					$server_url = $url.'wp-json/';
					$licence 	= $license_data['license_key'];
				    $email 		= $license_data['email'];
					$args = array(
						'headers'     => array('Content-Type' => 'application/json; charset=utf-8'),
					    'body'        => json_encode(array('lkey' => $licence, 'email' => $email,'check_val'=> $check_val, 'plug'=>'fssc')),
					    'method'      => 'POST',
					    'data_format' => 'body'
					);
					$url = $server_url.'license/verify';   
					$response = wp_remote_post($url,$args);
					if (!is_wp_error($response)) {
						$response = $response['body'];
						$result = json_decode($response);
						if($result->code == 200) {
						    $result = TRUE;
						}else{
							$result = FALSE;
						}
					}else{
						$result = FALSE;
					}
				}else{
					$result = TRUE;
				}
			}else{
			    $result = FALSE;
			}
		}else{
			$result = FALSE;
		}
		return $result;
	}

	public static function sampark(){
		return 'https://www.fudugo.com/';
	}
}

new FSSC_Action();